/* 
 * File:   i2c4mz.h
 * Author: mikeb
 *
 * Created on February 15, 2020, 10:58 AM
 */

#ifndef I2C4MZ_H
#define	I2C4MZ_H

#include <xc.h>

void I2C4_init();
void I2C4_start(void);
void I2C4_stop(void);
void I2C4_restart(void);
uint8_t I2C4_write(uint8_t);
uint8_t I2C4_read(int8_t);
void I2C4_ACK(int8_t);


// define Master Interrupt Flag
#define MIF4 IFS5bits.I2C4MIF
#define ACK 0
#define NACK 1

#define READ 0x01
#define WRITE 0x00

#endif	/* I2C4MZ_H */

