/* 
 * File:   KX222.h
 * Author: zacharykowalczyk
 *
 * Created on February 15, 2020, 8:14 PM
 */

#ifndef KX222_H
#define	KX222_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <xc.h>
#include "i2c1mz.h"
    
#define MODE (32)
#define ADDR_W (0x3C)
#define ADDR_R (0x3D)
    
// Struct to store KX222 data
typedef struct
{
    float x_data;
    float y_data;
    float z_data;
} Data_KX;


// Function prototypes
void config_KX222();
void read_KX222(Data_KX*);


#ifdef	__cplusplus
}
#endif

#endif	/* KX222_H */

