#ifndef I2C1MZ_H
#define	I2C1MZ_H

#include <xc.h>

void I2C1_init();
void I2C1_start(void);
void I2C1_stop(void);
void I2C1_restart(void);
uint8_t I2C1_write(uint8_t);
uint8_t I2C1_read(int8_t);
void I2C1_ACK(int8_t);


// define Master Interrupt Flag
#define MIF1 IFS3bits.I2C1MIF
#define ACK 0
#define NACK 1

#define READ 0x01
#define WRITE 0x00

#endif	/* I2C1MZ_H */