/* 
 * File:   i2c5mz.h
 * Author: mikeb
 *
 * Created on February 13, 2020, 7:53 PM
 */

#ifndef I2C5MZ_H
#define	I2C5MZ_H

#include <xc.h>

void I2C5_init();
void I2C5_start(void);
void I2C5_stop(void);
void I2C5_restart(void);
uint8_t I2C5_write(uint8_t);
uint8_t I2C5_read(int8_t);
void I2C5_ACK(int8_t);


// define Master Interrupt Flag
#define MIF5 IFS5bits.I2C5MIF
#define ACK 0
#define NACK 1

// TO BE USED WITH A BITWISE OR
#define READ 0x01
#define WRITE 0x00
    
    


#endif	/* I2C3MZ_H */

